fill_modal = (event) ->
  target = $(this)
  ticket_id = target.attr 'ticket_id'
  if undefined != ticket_id and "" != ticket_id
    $("#modal_id").text ticket_id
    $("#modal_movie").text target.find("[attr_name='movie']").text()
    $("#modal_cinema_id").text target.find("[attr_name='cinema_id']").text()
    $("#modal_user_id").text target.find("[attr_name='user_id']").text()
    $("#ticketModal").modal('toggle')

hrefToEdit = (event) ->
  ticket_id = $("#modal_id").text()
  window.location.replace "#{context_url}/ticket/?id=#{ticket_id}"

removeCinema = (event) ->
  ticket_id = $("#modal_id").text()
  $.ajax
    url: "#{context_url}/ticket/?id=#{ticket_id}",
    type: 'DELETE'
    error: (jqXHR, textStatus, errorThrown) ->
      $.toast
        icon: 'error',
        hideAfter: 5000,
        heading: "Cannot delete ticket",
        text: "#{jqXHR.responseText}"
    success: (data, textStatus, jqXHR) ->
      $("tr[ticket_id='#{ticket_id}").remove()
      $("#ticketModal").modal('toggle')

addListeners = ->
  $('tr').on 'click', fill_modal
  $('#edit_ticket').on 'click', hrefToEdit
  $('#delete_ticket').on 'click', removeCinema

$(document).ready(addListeners)